<?php

class redOcl{
	var  $tabla = '0';
	var  $n_reg = '0';
	var  $codigo = '0';
	var  $tip_mov = '0';
	var  $fec_doc = '0';
	var  $fec_rev = '0';
	var  $num_doc = '0';
	var  $cve_mto = '0';
	var  $sub_tot = '0';
	var  $iva_tot = '0';
	var  $total = '0';
	var  $cve_iva = '0';
	var  $ret1 = '0';
	var  $ret1_po = '0';
	var  $ret1_im = '0';
	var  $ret2 = '0';
	var  $ret2_po = '0';
	var  $ret2_im = '0';
	var  $tot_doc = '0';
	var  $tot_pag = '0';
	var  $tot_not = '0';
	var  $tot_car = '0';
	var  $tot_abo = '0';
	var  $iva_pag = '0';
	var  $tot_sal = '0';
	var  $moneda = '0';
	var  $cve_pai = '0';
	var  $tip_cam = '0';
	var  $dia_cre = '0';
	var  $con_cre = '0';
	var  $tip_mot = '0';
	var  $fec_ven = '0';
	var  $des = '0';
	var  $afe_pol = '0';
	var  $ori_doc = '0';
	var  $afe_ietu = '0';
	var  $afe_caj = '0';
	var  $cve_mon = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	var  $lastInsId = '0';

	function redOcl($data){
		$this->tabla='dvredocl';
		$this->resetData($data);
	}

	function resetData($data){
		$this->n_reg=$this->checkData($data['nReg'],'');
		$this->codigo=$this->checkData($data['codIgo'],'');
		$this->tip_mov=$this->checkData($data['tipMov'],'');
		$this->fec_doc=$this->checkData($data['fecDoc'],'');
		$this->fec_rev=$this->checkData($data['fecRev'],'');
		$this->num_doc=$this->checkData($data['numDoc'],'');
		$this->cve_mto=$this->checkData($data['cveMto'],'');
		$this->sub_tot=$this->checkData($data['subTot'],'');
		$this->iva_tot=$this->checkData($data['ivaTot'],'');
		$this->total=$this->checkData($data['totAl'],'');
		$this->cve_iva=$this->checkData($data['cveIva'],'');
		$this->ret1=$this->checkData($data['ret1'],'');
		$this->ret1_po=$this->checkData($data['ret1Po'],'');
		$this->ret1_im=$this->checkData($data['ret1Im'],'');
		$this->ret2=$this->checkData($data['ret2'],'');
		$this->ret2_po=$this->checkData($data['ret2Po'],'');
		$this->ret2_im=$this->checkData($data['ret2Im'],'');
		$this->tot_doc=$this->checkData($data['totDoc'],'');
		$this->tot_pag=$this->checkData($data['totPag'],'');
		$this->tot_not=$this->checkData($data['totNot'],'');
		$this->tot_car=$this->checkData($data['totCar'],'');
		$this->tot_abo=$this->checkData($data['totAbo'],'');
		$this->iva_pag=$this->checkData($data['ivaPag'],'');
		$this->tot_sal=$this->checkData($data['totSal'],'');
		$this->moneda=$this->checkData($data['monEda'],'');
		$this->cve_pai=$this->checkData($data['cvePai'],'');
		$this->tip_cam=$this->checkData($data['tipCam'],'');
		$this->dia_cre=$this->checkData($data['diaCre'],'');
		$this->con_cre=$this->checkData($data['conCre'],'');
		$this->tip_mot=$this->checkData($data['tipMot'],'');
		$this->fec_ven=$this->checkData($data['fecVen'],'');
		$this->des=$this->checkData($data['des'],'');
		$this->afe_pol=$this->checkData($data['afePol'],'');
		$this->ori_doc=$this->checkData($data['oriDoc'],'');
		$this->afe_ietu=$this->checkData($data['afeIetU'],'');
		$this->afe_caj=$this->checkData($data['afeCaj'],'');
		$this->cve_mon=$this->checkData($data['cveMon'],'');
		$this->acc_fec=$this->checkData($data['accFec'],'');
		$this->acc_hor=$this->checkData($data['accHor'],'');
		$this->usuario=$this->checkData($data['usuAriO'],'');
	}

	function agregar(){
		$sq_create="INSERT INTO $this->tabla SET codigo='$this->codigo', tip_mov='$this->tip_mov', fec_doc='$this->fec_doc', fec_rev='$this->fec_rev', num_doc='$this->num_doc', cve_mto='$this->cve_mto', sub_tot='$this->sub_tot', iva_tot='$this->iva_tot', total='$this->total', cve_iva='$this->cve_iva', ret1='$this->ret1', ret1_po='$this->ret1_po', ret1_im='$this->ret1_im', ret2='$this->ret2', ret2_po='$this->ret2_po', ret2_im='$this->ret2_im', tot_doc='$this->tot_doc', tot_pag='$this->tot_pag', tot_not='$this->tot_not', tot_car='$this->tot_car', tot_abo='$this->tot_abo', iva_pag='$this->iva_pag', tot_sal='$this->tot_sal', moneda='$this->moneda', cve_pai='$this->cve_pai', tip_cam='$this->tip_cam', dia_cre='$this->dia_cre', con_cre='$this->con_cre', tip_mot='$this->tip_mot', fec_ven='$this->fec_ven', des='$this->des', afe_pol='$this->afe_pol', ori_doc='$this->ori_doc', afe_ietu='$this->afe_ietu', afe_caj='$this->afe_caj', cve_mon='$this->cve_mon', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_create);
		if($rs){
			$this->lastInsId=mysqli_insert_id();
			return 1;
		}
		else
			return -1;
	}

	function modificar(){
		$sq_update="UPDATE $this->tabla SET codigo='$this->codigo', tip_mov='$this->tip_mov', fec_doc='$this->fec_doc', fec_rev='$this->fec_rev', num_doc='$this->num_doc', cve_mto='$this->cve_mto', sub_tot='$this->sub_tot', iva_tot='$this->iva_tot', total='$this->total', cve_iva='$this->cve_iva', ret1='$this->ret1', ret1_po='$this->ret1_po', ret1_im='$this->ret1_im', ret2='$this->ret2', ret2_po='$this->ret2_po', ret2_im='$this->ret2_im', tot_doc='$this->tot_doc', tot_pag='$this->tot_pag', tot_not='$this->tot_not', tot_car='$this->tot_car', tot_abo='$this->tot_abo', iva_pag='$this->iva_pag', tot_sal='$this->tot_sal', moneda='$this->moneda', cve_pai='$this->cve_pai', tip_cam='$this->tip_cam', dia_cre='$this->dia_cre', con_cre='$this->con_cre', tip_mot='$this->tip_mot', fec_ven='$this->fec_ven', des='$this->des', afe_pol='$this->afe_pol', ori_doc='$this->ori_doc', afe_ietu='$this->afe_ietu', afe_caj='$this->afe_caj', cve_mon='$this->cve_mon', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario' WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_update);
		if($rs)
			return 1;
		else
			return 0;
	}

	function busReg(){
		$sq_retrieve="SELECT * FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_retrieve);
		if($rs)
			return $rs;
		else
			return 0;
	}

	function eliminar(){
		$sq_delete="DELETE FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_delete);
		if($rs)
			return 1;
		else
			return 0;
	}

	
	function checkData($data,$default){
		if(isset($data)) 
			$auxData=$data;
		else 
			$auxData=$default;
		if(get_magic_quotes_gpc()) 
			$auxData = stripslashes($auxData);
		$auxData=htmlentities($auxData);
		return mysqli_real_escape_string($con,$auxData);
	}

	function getLastInsId(){
		return $this->lastInsId;
	}

	function getMySQLError(){
		return 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']); 
	}

}

class redOcd{
	var  $tabla = '0';
	var  $n_reg = '0';
	var  $codigo = '0';
	var  $tip_mov = '0';
	var  $fec_doc = '0';
	var  $num_doc = '0';
	var  $fol_ope = '0';
	var  $cve_mto = '0';
	var  $por_des = '0';
	var  $cve_cen = '0';
	var  $cve_ope = '0';
	var  $sub_tot = '0';
	var  $des_inc = '0';
	var  $nom_pac = '0';
	var  $can_pro = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	var  $lastInsId = '0';

	function redOcd($data){
		$this->tabla='dvredocd';
		$this->resetData($data);
	}

	function resetData($data){
		$this->n_reg=$this->checkData($data['nReg'],'');
		$this->codigo=$this->checkData($data['codIgo'],'');
		$this->tip_mov=$this->checkData($data['tipMov'],'');
		$this->fec_doc=$this->checkData($data['fecDoc'],'');
		$this->num_doc=$this->checkData($data['numDoc'],'');
		$this->fol_ope=$this->checkData($data['folOpe'],'');
		$this->cve_mto=$this->checkData($data['cveMto'],'');
		$this->por_des=$this->checkData($data['porDes'],'');
		$this->cve_cen=$this->checkData($data['cveCen'],'');
		$this->cve_ope=$this->checkData($data['cveOpe'],'');
		$this->sub_tot=$this->checkData($data['subTot'],'');
		$this->des_inc=$this->checkData($data['desInc'],'');
		$this->nom_pac=$this->checkData($data['nomPac'],'');
		$this->can_pro=$this->checkData($data['canPro'],'');
		$this->acc_fec=$this->checkData($data['accFec'],'');
		$this->acc_hor=$this->checkData($data['accHor'],'');
		$this->usuario=$this->checkData($data['usuAriO'],'');
	}

	function agregar(){
		$sq_create="INSERT INTO $this->tabla SET codigo='$this->codigo', tip_mov='$this->tip_mov', fec_doc='$this->fec_doc', num_doc='$this->num_doc', fol_ope='$this->fol_ope', cve_mto='$this->cve_mto', por_des='$this->por_des', cve_cen='$this->cve_cen', cve_ope='$this->cve_ope', sub_tot='$this->sub_tot', des_inc='$this->des_inc', nom_pac='$this->nom_pac', can_pro='$this->can_pro', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_create);
		if($rs){
			$this->lastInsId=mysqli_insert_id();
			return 1;
		}
		else
			return -1;
	}

	function modificar(){
		$sq_update="UPDATE $this->tabla SET codigo='$this->codigo', tip_mov='$this->tip_mov', fec_doc='$this->fec_doc', num_doc='$this->num_doc', fol_ope='$this->fol_ope', cve_mto='$this->cve_mto', por_des='$this->por_des', cve_cen='$this->cve_cen', cve_ope='$this->cve_ope', sub_tot='$this->sub_tot', des_inc='$this->des_inc', nom_pac='$this->nom_pac', can_pro='$this->can_pro', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario' WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_update);
		if($rs)
			return 1;
		else
			return 0;
	}

	function busReg(){
		$sq_retrieve="SELECT * FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_retrieve);
		if($rs)
			return $rs;
		else
			return 0;
	}

	function eliminar(){
		$sq_delete="DELETE FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_delete);
		if($rs)
			return 1;
		else
			return 0;
	}

	
	function checkData($data,$default){
		if(isset($data)) 
			$auxData=$data;
		else 
			$auxData=$default;
		if(get_magic_quotes_gpc()) 
			$auxData = stripslashes($auxData);
		$auxData=htmlentities($auxData);
		return mysqli_real_escape_string($con,$auxData);
	}

	function getLastInsId(){
		return $this->lastInsId;
	}

	function getMySQLError(){
		return 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']); 
	}

}


class notCre{
	var  $tabla = '0';
	var  $n_reg = '0';
	var  $tip_not = '0';
	var  $fec_not = '0';
	var  $num_not = '0';
	var  $tip_mto = '0';
	var  $codigo = '0';
	var  $por_des = '0';
	var  $cve_iva = '0';
	var  $sub_not = '0';
	var  $iva_not = '0';
	var  $tot_not = '0';
	var  $cancel = '0';
	var  $fec_can = '0';
	var  $usu_can = '0';
	var  $num_pol = '0';
	var  $paso = '0';
	var  $imp_des = '0';
	var  $des_not = '0';
	var  $actuali = '0';
	var  $fec_mov = '0';
	var  $iva_des = '0';
	var  $mto_not = '0';
	var  $num_noa = '0';
	var  $ref_clt = '0';
	var  $fec_doc = '0';
	var  $num_doc = '0';
	var  $cve_mto = '0';
	var  $gen_pol = '0';
	var  $afe_con = '0';
	var  $tip_mon = '0';
	var  $cve_mon = '0';
	var  $tip_cam = '0';
	var  $cve_pais = '0';
	var  $cli_pro = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	var  $lastInsId = '0';

	function notCre($data){
		$this->tabla='dvnotcre';
		$this->resetData($data);
	}

	function resetData($data){
		$this->n_reg=$this->checkData($data['nReg'],'');
		$this->tip_not=$this->checkData($data['tipNot'],'');
		$this->fec_not=$this->checkData($data['fecNot'],'');
		$this->num_not=$this->checkData($data['numNot'],'');
		$this->tip_mto=$this->checkData($data['tipMto'],'');
		$this->codigo=$this->checkData($data['codIgo'],'');
		$this->por_des=$this->checkData($data['porDes'],'');
		$this->cve_iva=$this->checkData($data['cveIva'],'');
		$this->sub_not=$this->checkData($data['subNot'],'');
		$this->iva_not=$this->checkData($data['ivaNot'],'');
		$this->tot_not=$this->checkData($data['totNot'],'');
		$this->cancel=$this->checkData($data['canCel'],'');
		$this->fec_can=$this->checkData($data['fecCan'],'');
		$this->usu_can=$this->checkData($data['usuCan'],'');
		$this->num_pol=$this->checkData($data['numPol'],'');
		$this->paso=$this->checkData($data['pasO'],'');
		$this->imp_des=$this->checkData($data['impDes'],'');
		$this->des_not=$this->checkData($data['desNot'],'');
		$this->actuali=$this->checkData($data['actUalI'],'');
		$this->fec_mov=$this->checkData($data['fecMov'],'');
		$this->iva_des=$this->checkData($data['ivaDes'],'');
		$this->mto_not=$this->checkData($data['mtoNot'],'');
		$this->num_noa=$this->checkData($data['numNoa'],'');
		$this->ref_clt=$this->checkData($data['refClt'],'');
		$this->fec_doc=$this->checkData($data['fecDoc'],'');
		$this->num_doc=$this->checkData($data['numDoc'],'');
		$this->cve_mto=$this->checkData($data['cveMto'],'');
		$this->gen_pol=$this->checkData($data['genPol'],'');
		$this->afe_con=$this->checkData($data['afeCon'],'');
		$this->tip_mon=$this->checkData($data['tipMon'],'');
		$this->cve_mon=$this->checkData($data['cveMon'],'');
		$this->tip_cam=$this->checkData($data['tipCam'],'');
		$this->cve_pais=$this->checkData($data['cvePaiS'],'');
		$this->cli_pro=$this->checkData($data['cliPro'],'');
		$this->acc_fec=$this->checkData($data['accFec'],'');
		$this->acc_hor=$this->checkData($data['accHor'],'');
		$this->usuario=$this->checkData($data['usuAriO'],'');
	}

	function agregar(){
		$sq_create="INSERT INTO $this->tabla SET tip_not='$this->tip_not', fec_not='$this->fec_not', num_not='$this->num_not', tip_mto='$this->tip_mto', codigo='$this->codigo', por_des='$this->por_des', cve_iva='$this->cve_iva', sub_not='$this->sub_not', iva_not='$this->iva_not', tot_not='$this->tot_not', cancel='$this->cancel', fec_can='$this->fec_can', usu_can='$this->usu_can', num_pol='$this->num_pol', paso='$this->paso', imp_des='$this->imp_des', des_not='$this->des_not', actuali='$this->actuali', fec_mov='$this->fec_mov', iva_des='$this->iva_des', mto_not='$this->mto_not', num_noa='$this->num_noa', ref_clt='$this->ref_clt', fec_doc='$this->fec_doc', num_doc='$this->num_doc', cve_mto='$this->cve_mto', gen_pol='$this->gen_pol', afe_con='$this->afe_con', tip_mon='$this->tip_mon', cve_mon='$this->cve_mon', tip_cam='$this->tip_cam', cve_pais='$this->cve_pais', cli_pro='$this->cli_pro', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_create);
		if($rs){
			$this->lastInsId=mysqli_insert_id();
			return 1;
		}
		else
			return -1;
	}

	function modificar(){
		$sq_update="UPDATE $this->tabla SET tip_not='$this->tip_not', fec_not='$this->fec_not', num_not='$this->num_not', tip_mto='$this->tip_mto', codigo='$this->codigo', por_des='$this->por_des', cve_iva='$this->cve_iva', sub_not='$this->sub_not', iva_not='$this->iva_not', tot_not='$this->tot_not', cancel='$this->cancel', fec_can='$this->fec_can', usu_can='$this->usu_can', num_pol='$this->num_pol', paso='$this->paso', imp_des='$this->imp_des', des_not='$this->des_not', actuali='$this->actuali', fec_mov='$this->fec_mov', iva_des='$this->iva_des', mto_not='$this->mto_not', num_noa='$this->num_noa', ref_clt='$this->ref_clt', fec_doc='$this->fec_doc', num_doc='$this->num_doc', cve_mto='$this->cve_mto', gen_pol='$this->gen_pol', afe_con='$this->afe_con', tip_mon='$this->tip_mon', cve_mon='$this->cve_mon', tip_cam='$this->tip_cam', cve_pais='$this->cve_pais', cli_pro='$this->cli_pro', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario' WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_update);
		if($rs)
			return 1;
		else
			return 0;
	}

	function busReg(){
		$sq_retrieve="SELECT * FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_retrieve);
		if($rs)
			return $rs;
		else
			return 0;
	}

	function eliminar(){
		$sq_delete="DELETE FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_delete);
		if($rs)
			return 1;
		else
			return 0;
	}

	
	function checkData($data,$default){
		if(isset($data)) 
			$auxData=$data;
		else 
			$auxData=$default;
		if(get_magic_quotes_gpc()) 
			$auxData = stripslashes($auxData);
		$auxData=htmlentities($auxData);
		return mysqli_real_escape_string($con,$auxData);
	}

	function getLastInsId(){
		return $this->lastInsId;
	}

	function getMySQLError(){
		return 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']); 
	}

}

class notCrd{
	var  $tabla = '0';
	var  $n_reg = '0';
	var  $n_nota = '0';
	var  $tip_not = '0';
	var  $fec_not = '0';
	var  $num_not = '0';
	var  $tip_ope = '0';
	var  $cve_iva = '0';
	var  $can_prod = '0';
	var  $pre_bas = '0';
	var  $por_des = '0';
	var  $imp_des = '0';
	var  $pre_uni = '0';
	var  $iva_uni = '0';
	var  $total = '0';
	var  $sub_tot = '0';
	var  $iva_sub = '0';
	var  $cve_mto = '0';
	var  $cen_cos = '0';
	var  $fol_ope = '0';
	var  $sub_bas = '0';
	var  $sub_des = '0';
	var  $imp_afe = '0';
	var  $codigo = '0';
	var  $tip_mto = '0';
	var  $fec_doc = '0';
	var  $num_doc = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	var  $lastInsId = '0';

	function notCrd($data){
		$this->tabla='dvnotcrd';
		$this->resetData($data);
	}

	function resetData($data){
		$this->n_reg=$this->checkData($data['nReg'],'');
		$this->n_nota=$this->checkData($data['nNotA'],'');
		$this->tip_not=$this->checkData($data['tipNot'],'');
		$this->fec_not=$this->checkData($data['fecNot'],'');
		$this->num_not=$this->checkData($data['numNot'],'');
		$this->tip_ope=$this->checkData($data['tipOpe'],'');
		$this->cve_iva=$this->checkData($data['cveIva'],'');
		$this->can_prod=$this->checkData($data['canProD'],'');
		$this->pre_bas=$this->checkData($data['preBas'],'');
		$this->por_des=$this->checkData($data['porDes'],'');
		$this->imp_des=$this->checkData($data['impDes'],'');
		$this->pre_uni=$this->checkData($data['preUni'],'');
		$this->iva_uni=$this->checkData($data['ivaUni'],'');
		$this->total=$this->checkData($data['totAl'],'');
		$this->sub_tot=$this->checkData($data['subTot'],'');
		$this->iva_sub=$this->checkData($data['ivaSub'],'');
		$this->cve_mto=$this->checkData($data['cveMto'],'');
		$this->cen_cos=$this->checkData($data['cenCos'],'');
		$this->fol_ope=$this->checkData($data['folOpe'],'');
		$this->sub_bas=$this->checkData($data['subBas'],'');
		$this->sub_des=$this->checkData($data['subDes'],'');
		$this->imp_afe=$this->checkData($data['impAfe'],'');
		$this->codigo=$this->checkData($data['codIgo'],'');
		$this->tip_mto=$this->checkData($data['tipMto'],'');
		$this->fec_doc=$this->checkData($data['fecDoc'],'');
		$this->num_doc=$this->checkData($data['numDoc'],'');
		$this->acc_fec=$this->checkData($data['accFec'],'');
		$this->acc_hor=$this->checkData($data['accHor'],'');
		$this->usuario=$this->checkData($data['usuAriO'],'');
	}

	function agregar(){
		$sq_create="INSERT INTO $this->tabla SET n_nota='$this->n_nota', tip_not='$this->tip_not', fec_not='$this->fec_not', num_not='$this->num_not', tip_ope='$this->tip_ope', cve_iva='$this->cve_iva', can_prod='$this->can_prod', pre_bas='$this->pre_bas', por_des='$this->por_des', imp_des='$this->imp_des', pre_uni='$this->pre_uni', iva_uni='$this->iva_uni', total='$this->total', sub_tot='$this->sub_tot', iva_sub='$this->iva_sub', cve_mto='$this->cve_mto', cen_cos='$this->cen_cos', fol_ope='$this->fol_ope', sub_bas='$this->sub_bas', sub_des='$this->sub_des', imp_afe='$this->imp_afe', codigo='$this->codigo', tip_mto='$this->tip_mto', fec_doc='$this->fec_doc', num_doc='$this->num_doc', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_create);
		if($rs){
			$this->lastInsId=mysqli_insert_id();
			return 1;
		}
		else
			return -1;
	}

	function modificar(){
		$sq_update="UPDATE $this->tabla SET n_nota='$this->n_nota', tip_not='$this->tip_not', fec_not='$this->fec_not', num_not='$this->num_not', tip_ope='$this->tip_ope', cve_iva='$this->cve_iva', can_prod='$this->can_prod', pre_bas='$this->pre_bas', por_des='$this->por_des', imp_des='$this->imp_des', pre_uni='$this->pre_uni', iva_uni='$this->iva_uni', total='$this->total', sub_tot='$this->sub_tot', iva_sub='$this->iva_sub', cve_mto='$this->cve_mto', cen_cos='$this->cen_cos', fol_ope='$this->fol_ope', sub_bas='$this->sub_bas', sub_des='$this->sub_des', imp_afe='$this->imp_afe', codigo='$this->codigo', tip_mto='$this->tip_mto', fec_doc='$this->fec_doc', num_doc='$this->num_doc', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario' WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_update);
		if($rs)
			return 1;
		else
			return 0;
	}

	function busReg(){
		$sq_retrieve="SELECT * FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_retrieve);
		if($rs)
			return $rs;
		else
			return 0;
	}

	function eliminar(){
		$sq_delete="DELETE FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_delete);
		if($rs)
			return 1;
		else
			return 0;
	}

	
	function checkData($data,$default){
		if(isset($data)) 
			$auxData=$data;
		else 
			$auxData=$default;
		if(get_magic_quotes_gpc()) 
			$auxData = stripslashes($auxData);
		$auxData=htmlentities($auxData);
		return mysqli_real_escape_string($con,$auxData);
	}

	function getLastInsId(){
		return $this->lastInsId;
	}

	function getMySQLError(){
		return 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']); 
	}

}


class CobDoc{
	var  $tabla = '0';
	var  $n_reg = '0';
	var  $tip_cob = '0';
	var  $fec_cob = '0';
	var  $fol_cob = '0';
	var  $codigo = '0';
	var  $tip_mto = '0';
	var  $fec_mov = '0';
	var  $num_doc = '0';
	var  $imp_cob = '0';
	var  $fec_ult_mccp = '0';
	var  $cve_mto = '0';
	var  $iva_cob = '0';
	var  $tot_cob = '0';
	var  $gen_pol = '0';
	var  $cta_ban = '0';
	var  $afe_con = '0';
	var  $cli_pro = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	var  $lastInsId = '0';

	function CobDoc($data){
		$this->tabla='dvcobdoc';
		$this->resetData($data);
	}

	function resetData($data){
		$this->n_reg=$this->checkData($data['idCobDoc'],'');
		$this->tip_cob=$this->checkData($data['tipCob'],'');
		$this->fec_cob=$this->checkData($data['fecCob'],'');
		$this->fol_cob=$this->checkData($data['folCob'],'');
		$this->codigo=$this->checkData($data['codigo'],'');
		$this->tip_mto=$this->checkData($data['tipMto'],'');
		$this->fec_mov=$this->checkData($data['fecMov'],'');
		$this->num_doc=$this->checkData($data['numDoc'],'');
		$this->imp_cob=$this->checkData($data['impCob'],'');
		$this->fec_ult_mccp=$this->checkData($data['fecUltMccP'],'');
		$this->cve_mto=$this->checkData($data['cveMto'],'');
		$this->iva_cob=$this->checkData($data['ivaCob'],'');
		$this->tot_cob=$this->checkData($data['totCob'],'');
		$this->gen_pol=$this->checkData($data['genPol'],'');
		$this->cta_ban=$this->checkData($data['ctaBan'],'');
		$this->afe_con=$this->checkData($data['afeCon'],'');
		$this->cli_pro=$this->checkData($data['cliPro'],'');
		$this->acc_fec=$this->checkData($data['accFec'],date('Y-m-d'));
		$this->acc_hor=$this->checkData($data['accHor'],date('H:i:s'));
		$this->usuario=$this->checkData($data['usuario'],$_SESSION['num_usu']);
	}

	function agregar(){
		$sq_create="INSERT INTO $this->tabla SET tip_cob='$this->tip_cob', fec_cob='$this->fec_cob', fol_cob='$this->fol_cob', codigo='$this->codigo', tip_mto='$this->tip_mto', fec_mov='$this->fec_mov', num_doc='$this->num_doc', imp_cob='$this->imp_cob', fec_ult_mccp='$this->fec_ult_mccp', cve_mto='$this->cve_mto', iva_cob='$this->iva_cob', tot_cob='$this->tot_cob', gen_pol='$this->gen_pol', cta_ban='$this->cta_ban', afe_con='$this->afe_con', cli_pro='$this->cli_pro', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_create);
		if($rs){
			$this->lastInsId=mysqli_insert_id();
			return 1;
		}
		else
			return -1;
	}

	function modificar(){
		$sq_update="UPDATE $this->tabla SET tip_cob='$this->tip_cob', fec_cob='$this->fec_cob', fol_cob='$this->fol_cob', codigo='$this->codigo', tip_mto='$this->tip_mto', fec_mov='$this->fec_mov', num_doc='$this->num_doc', imp_cob='$this->imp_cob', fec_ult_mccp='$this->fec_ult_mccp', cve_mto='$this->cve_mto', iva_cob='$this->iva_cob', tot_cob='$this->tot_cob', gen_pol='$this->gen_pol', cta_ban='$this->cta_ban', afe_con='$this->afe_con', cli_pro='$this->cli_pro', acc_fec='$this->acc_fec', acc_hor='$this->acc_hor', usuario='$this->usuario' WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_update);
		if($rs)
			return 1;
		else
			return 0;
	}

	function busReg(){
		$sq_retrieve="SELECT * FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_retrieve);
		if($rs)
			return $rs;
		else
			return 0;
	}

	function serRegByRealKeys(){
		$sq_retrieve="SELECT * FROM $this->tabla WHERE tip_mto='$this->tip_mto' AND codigo='$this->codigo'  AND num_doc='$this->num_doc' AND fol_cob='$this->fol_cob'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_retrieve);
		if(mysqli_num_rows($rs)>0)
			return $rs;
		else
			return 0;
	}

	function eliminar(){
		$sq_delete="DELETE FROM $this->tabla WHERE n_reg='$this->n_reg'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_delete);
		if($rs)
			return 1;
		else
			return 0;
	}

	
	function checkData($data,$default){
		if(isset($data)) 
			$auxData=$data;
		else 
			$auxData=$default;
		if(get_magic_quotes_gpc()) 
			$auxData = stripslashes($auxData);
		$auxData=htmlentities($auxData);
		return mysqli_real_escape_string($con,$auxData);
	}

	function getLastInsId(){
		return $this->lastInsId;
	}

	function getMySQLError(){
		return 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']); 
	}

}

class ManCtaPagCob{
	var  $data = '0';
	
	function ManCtaPagCob(){
		//$this->$data=$data;
	}
	
	/*
	*Recibe:
	*	$data:        Contiene Datos Para Realizar Movimiento
	*	$autAgrRedOcl:Si es true en automatico Agrega Documento en dvredocl en caso de que no exista
	*				  Si es false no agrega documento en dvredocl en caso de no existir y manda error
	*/
	function agregarCobro($data,$autAgrRedOcl=false){
		$this->$data=$data;
		var $cobroDocumento = new CobDoc($data);
		$rsBasCps=$this->valCodigo();
		if($rsBasCps!=1)
			return $rsBasCps;
		$rsCobDoc=$this->valCobDoc();
		if($rsCobDoc!=1)
			return $rsCobDoc;
	  	
		if($autAgrRedOcl){
			
		}
		$cobroDocumento->agregar();
	}

	function actRedocl(){
	
	}

  function resetData($datos){
	  $axoMes=explode("-",$datos['fecMov']);
	  $this->datos=$datos;
	  $this->datos['axo']=$axoMes[0];
	  $this->datos['mes']=$axoMes[1];	
  }
	  
  function checkData($data,$default){
	  if(isset($data)) 
		  $auxData=$data;
	  else 
		  $auxData=$default;
	  if(get_magic_quotes_gpc()) 
		  $auxData = stripslashes($auxData);
	  $auxData=htmlentities($auxData);
	  return mysqli_real_escape_string($con,$auxData);
  }
  
  function valDataCobro(){//Valida Datos Minimos Necesarios Para realizar Movimiento cobro Documento
    $data=$this->data;
    if(!isset($data['idBasCps']))
	return 'dc1';
    if(!isset($data['fecMov']))
	return 'dc2';
    if(!isset($data['numDoc']))
	return 'dc3';
    if(!isset($data['tipMov']))
	return 'dc4';

    return 1;			
  }

  function valCodigo(){//Valida Codigo de Cliente/Proveedor
    $codigo=$this->data['idBasCps'];
    $sq_bascps=mysqli_query($GLOBALS['con'] ,"SELECT codigo FROM dxbascps WHERE codigo='$codigo'");
    if(mysqli_num_rows($sq_bascps)==0)
      return 'c1';
    else{
      $codigo=$this->data['idBasCps'];  
      $sq_bascpt=mysqli_query($GLOBALS['con'] ,"SELECT codigo FROM dxbascpt WHERE codigo='$codigo'");
      if(mysqli_num_rows($sq_bascpt)==0){
	$rs=mysqli_query($GLOBALS['con'] ,"insert into dxbascpt (codigo, acc_fec, acc_hor, usuario) values ('$codigo',CURDATE(),CURTIME(),'".$_SESSION['num_usu']."')");
	if(!$rs)
	  return 'cpt1';
      }
    }
    return 1;
  }

  function valCobDoc(){
    $data=$this->data;
    $dataCobDoc['numDoc']=$data['numDoc'];
    $dataCobDoc['folCob']=$data['folCob'];
    $dataCobDoc['codigo']=$data['idBasCps'];
    cobroDocumento=new CobDoc($dataCobDoc);
    $rs=cobroDocumento->serRegByRealKeys();
    if($rs!=0)
      return 1
    else
      return 'cd1';
  }

  function getMovError($noError){//tipos de Error retornados por las funciones.
	  switch($noError){
		  case 'c1' :
			  $error="Error: No Existe Cliente/Proveedor";
		  break;
		  case 'cpt1':
			  $error='Error: Imposible Agregar Historial Cliente/Proveedor';
		  break;
		  case 'cd1':
			  $error='Error: Documento de Cobro Existente';
		  break;

	  }
	  return $error;
  }

  function getMySQLError(){
	  return 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']); 
  }

}
?>